org.apache.ignite.igfs

## Enum IgfsMode

- java.lang.Object
- - java.lang.Enum<IgfsMode>
  - - org.apache.ignite.igfs.IgfsMode

All Implemented Interfaces:
  Serializable, Comparable<IgfsMode>

    public enum IgfsMode
    extends Enum<IgfsMode>

`IGFS` mode defining interactions with underlying secondary Hadoop file system. Secondary Hadoop file system is provided for pass-through, write-through, and read-through purposes.

This mode is configured via `FileSystemConfiguration.getDefaultMode()` configuration property.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DUAL_ASYNC` In this mode `IGFS` will cache files locally and also asynchronously write them through to secondary Hadoop file system.
`DUAL_SYNC` In this mode `IGFS` will cache files locally and also synchronously write them through to secondary Hadoop file system.
`PRIMARY` In this mode IGFS will not delegate to secondary Hadoop file system and will cache all the files in memory only.
`PROXY` In this mode IGFS will not cache any files in memory and will only pass them through to secondary Hadoop file system.

### Method Summary

Methods
`static IgfsMode` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static IgfsMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IgfsMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PRIMARY

    public static final IgfsMode PRIMARY

In this mode IGFS will not delegate to secondary Hadoop file system and will cache all the files in memory only.

#### PROXY

    public static final IgfsMode PROXY

In this mode IGFS will not cache any files in memory and will only pass them through to secondary Hadoop file system. If this mode is enabled, then secondary Hadoop file system must be configured.

See Also:
  `FileSystemConfiguration.getSecondaryFileSystem()`

#### DUAL_SYNC

    public static final IgfsMode DUAL_SYNC

In this mode `IGFS` will cache files locally and also synchronously write them through to secondary Hadoop file system.

If secondary Hadoop file system is not configured, then this mode behaves like `PRIMARY` mode.

See Also:
  `FileSystemConfiguration.getSecondaryFileSystem()`

#### DUAL_ASYNC

    public static final IgfsMode DUAL_ASYNC

In this mode `IGFS` will cache files locally and also asynchronously write them through to secondary Hadoop file system.

If secondary Hadoop file system is not configured, then this mode behaves like `PRIMARY` mode.

See Also:
  `FileSystemConfiguration.getSecondaryFileSystem()`

### Method Detail

#### values

    public static IgfsMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IgfsMode c : IgfsMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IgfsMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static IgfsMode fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015